# !! Managed by Puppet !!

user www-data;
worker_processes auto;

pid /run/nginx.pid;

events {
	worker_connections 768;
}

http {
  access_log /var/log/nginx/access.log;
  error_log /var/log/nginx/error.log;

	sendfile on;
	tcp_nopush on;
	types_hash_max_size 2048;

	client_max_body_size 15M;

	include /etc/nginx/mime.types;
	default_type application/octet-stream;
	ssl_protocols TLSv1 TLSv1.1 TLSv1.2 TLSv1.3; 
	ssl_prefer_server_ciphers on;

	ssl_certificate     /etc/nginx/cert/cf.pem;
  ssl_certificate_key /etc/nginx/cert/cf.key;

	include /etc/nginx/conf.d/*;
}